<script>
  import SearchSvg from '$lib/components/svg/SearchSvg.svelte';
  import { createEventDispatcher } from 'svelte';

  const dispatch = createEventDispatcher();

  let value = '';

  function handleSearch() {
    dispatch('search', value);
  }
</script>

<label class="focus-within:border-blue-700 focus-within:bg-white">
    <SearchSvg class="absolute left-4 top-1/2 -translate-y-1/2"/>
    <input
        bind:value
        on:input={handleSearch}
        class="appearance-none transition duration-200 outline-none w-full"
        name="search"
        placeholder="Поиск..."
    >
</label>

<style lang="postcss">
    label {
        @apply relative border-2 border-black py-3 pl-14 pr-7 rounded-full w-full max-w-screen-sm block;
    }
</style>